1. Этот сайт использует файлы cookie. Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie. Узнать больше.
  2. Вы находитесь в русском сообществе Bukkit. Мы - администраторы серверов Minecraft, разрабатываем собственные плагины и переводим на русский язык плагины наших собратьев из других стран.
    Скрыть объявление

Помогите Конфликт LuckPerms и Authme

Тема в разделе "Помощь", создана пользователем Cororo, 2 фев 2020.

  1. Автор темы
    Cororo

    Cororo Активный участник Пользователь

    Баллы:
    66
    Имя в Minecraft:
    TheSirCororo
    Я установил вместо PEX на сервер LuckPerms и AuthMe начал выдавать ошибку: Could not invoke method setup for fr.xephi.authme.permission.PermissionsManager
    Как фиксить?
     
  2. Быстрая раскрутка сервера Minecraft
  3. matvey865

    matvey865 Новичок

    Баллы:
    6
    бамп, такая же проблема
     
  4. matvey865

    matvey865 Новичок

    Баллы:
    6
    нашел выход. Скачай AuthMe 5.6.0 Snapshot и новую версию LuckPerms. Не подключай authme к mysql и все заработает
     
  5. Автор темы
    Cororo

    Cororo Активный участник Пользователь

    Баллы:
    66
    Имя в Minecraft:
    TheSirCororo
    костыли
     
  6. HauserGrim

    HauserGrim Активный участник Пользователь

    Баллы:
    96
    Имя в Minecraft:
    HauserGrim
    Хз что за бред про mysql, но обновить плагины - костыли?
    Просто взять и скачать ласт версию LP и AuthMe.
     
  7. Blue_Fire

    Blue_Fire Ньюби

    Баллы:
    1
    Имя в Minecraft:
    Blue_Fire
    Блин помогите или напишите может есть другой плагин на регистрацию pls.
    А то тоже вылетает пж.
     
  8. Thin_Troll

    Thin_Troll Активный участник Пользователь

    Баллы:
    76
    Решение проблемы простое.
    1. обновиться
    2. Открой конфиг AuthMe config.yml и измените строки forceVaultHook с false на true.

    Так же если есть какие-то проблемы из-за версий API (v5-v4)
    то:
    1. Перейдите в папку plugins/LuckPerms/
    2. Создайте папку с названием extensions и закиньте в нее модуль скачанный из 3 пункта.
    3. https://ci.lucko.me/job/extension-l...act/build/libs/extension-legacy-api-1.0.0.jar
    4. перезапустите сервер
     
  9. Автор темы
    Cororo

    Cororo Активный участник Пользователь

    Баллы:
    66
    Имя в Minecraft:
    TheSirCororo
    ответ спустя полгода... круто (мне уже ответ не нужен)
     
  10. Sigvegutt

    Sigvegutt Активный участник Временно заблокирован Пользователь

    Баллы:
    51
    Мне кажется... Он отвечал не тебе.

     
  11. Thin_Troll

    Thin_Troll Активный участник Пользователь

    Баллы:
    76
    всё верно, отвечал не тебе.
    а тебе лишь могу на будущее дать совет, в вики LP все это варианты ответов были и есть по сей день.
    просто в англоязычном варианте.
     

Поделиться этой страницей